/**
 * fullPage 2.1.9
 * https://github.com/alvarotrigo/fullPage.js
 * MIT licensed
 *
 * Copyright (C) 2013 alvarotrigo.com - A project by Alvaro Trigo
 */
html, body {
  margin: 0;
  padding: 0;

  /*Avoid flicker on slides transitions for mobile phones #336 */
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);

  &.overflow-auto {
    height: auto !important;
    overflow: auto !important;
  }
  &.overflow-hidden {
    height: 100% !important;
    overflow: hidden !important;
  }
  &.ajax-loading {
    background: #fff;
  }
}

body {
  &.hide-overflow-load {
    overflow: hidden;
  }
}

#superContainer {
  height: 100%;
  position: relative;

  /* Touch detection for Windows 8 */
  -ms-touch-action: none;

  /* IE 11 on Windows Phone 8.1*/
  touch-action: none;
}

.fp-section {
  position: relative;
  -webkit-box-sizing: border-box; /* Safari<=5 Android<=3 */
  -moz-box-sizing: border-box; /* <=28 */
  box-sizing: border-box;
}

.fp-slide {
  float: left;
}

.fp-slide, .fp-slidesContainer {
  height: 100%;
  display: block;
}

.fp-slides {
  z-index: 1;
  height: 100%;
  overflow: hidden;
  position: relative;
  -webkit-transition: all 0.3s ease-out; /* Safari<=6 Android<=4.3 */
  transition: all 0.3s ease-out;
}

.fp-section.fp-table, .fp-slide.fp-table {
  display: table;
  width: 100%;
}

.fp-tableCell {
  display: table-cell;
  vertical-align: middle;
  width: 100%;
  height: 100%;
}

.vertical-bottom .fp-tableCell {
  vertical-align: bottom;
}

.vertical-top .fp-tableCell {
  vertical-align: top;
}

.fp-slidesContainer {
  float: left;
  position: relative;
}

.fp-controlArrow {
  position: absolute;
  z-index: 9999;
  top: 50%;
  cursor: pointer;
  width: 0;
  height: 0;
  border-style: solid;
}

.fp-controlArrow.fp-prev {
  left: 100px;
  border-width: 38.5px 34px 38.5px 0;
  border-color: transparent #fff transparent transparent;
}

.fp-controlArrow.fp-next {
  right: 100px;
  border-width: 38.5px 0 38.5px 34px;
  border-color: transparent transparent transparent #fff;
}

.fp-scrollable {
  overflow: scroll;
}

.fp-easing {
  -webkit-transition: all 0.7s ease-out; /* Safari<=6 Android<=4.3 */
  transition: all 0.7s ease-out;
}

#fp-nav {
  position: fixed;
  z-index: 100;
  margin-top: -32px;
  top: 50%;
  opacity: 1;
  @include transition(right 0.5s ease-out);

  .admin-bar & ul {
    margin-top: 32px;
  }
}

#fp-nav a.go-to-content span {
  background: #00a498;
  border-color: #00a498;
  opacity: 1 !important;
}

#fp-nav.right {
  right: 17px;
}

#fp-nav.left {
  left: 17px;
}

.fp-slidesNav {
  position: absolute;
  z-index: 9999;
  left: 50%;
  opacity: 1;
}

.fp-slidesNav.bottom {
  bottom: 75px;
}

.fp-slidesNav.top {
  top: 45px;
}

#fp-nav ul,
.fp-slidesNav ul {
  margin: 0;
  padding: 0;
}

#fp-nav li,
.fp-slidesNav li {
  display: block;
  width: 14px;
  height: 13px;
  margin: 15px 7px;
  position: relative;
}

.fp-slidesNav li {
  display: inline-block;
}

#fp-nav li a,
.fp-slidesNav li a {
  display: block;
  position: relative;
  z-index: 1;
  width: 100%;
  height: 100%;
  cursor: pointer;
  text-decoration: none;
}

#fp-nav span,
.fp-slidesNav span {
  top: 2px;
  left: 2px;
  width: 8px;
  height: 8px;
  background: #000;
  border-radius: 50%;
  position: absolute;
  z-index: 1;
}

.fp-tooltip {
  position: absolute;
  color: #fff;
  font-size: 10px;
  line-height: 1;
  max-width: 100px;
  //background: rgba(0,0,0,0.5);
  //padding: 6px;
  text-transform: uppercase;
  letter-spacing: 1px;
  text-align: right;
  transform: translateY(-50%);
  top: 50%;
}

.fp-tooltip.right {
  right: 20px;
}

.fp-tooltip.left {
  left: 20px;
}